qctool v2-rc4 compilation fails

Issue #30 resolved
Giovanni Dall'Olio
created an issue

Hello, I am trying to install qctool v2-rc4.

I have tried the binaries at http://www.well.ox.ac.uk:~gav/resources/ , however none of them worked.

The CentOs and Ubuntu ones (I am running Red Hat 7 here), return the error:

./qctool
./qctool: error while loading shared libraries: liblapack.so.3: cannot open shared object file: No such file or directory

Could you please provide a statically compiled binary, that would run on any system?

In alternative, I've tried to compile this repository, using the beta branch. Is this the same as using the rc4 release? In any case, the compilation returns some errors (see file attached).

Comments (4)

  1. Gavin Band repo owner

    Hi, Thanks for this report, I am working on improvements to compilation process. In the meantime can you try ./waf-1.5.18 --targets=qctool_v2.0-rc4 and see if that's successful? Best, g.

  2. Log in to comment